"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@ui-model/core");
var common_1 = require("@ui-model/common");
var TableComponent = (function () {
    function TableComponent() {
        this._fields = [];
        this.items = [];
        this.sorter = new core_2.TableSorter().setFields(this.fields);
        this.size = {};
    }
    Object.defineProperty(TableComponent.prototype, "fields", {
        get: function () {
            return this._fields;
        },
        set: function (value) {
            if (this._fields !== value) {
                this._fields = value;
                this.sorter.fields = value;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TableComponent.prototype, "sortable", {
        get: function () {
            return this.sorter.enabled;
        },
        set: function (value) {
            this.sorter.enabled = value;
        },
        enumerable: true,
        configurable: true
    });
    TableComponent.prototype.orderCss = function (order) {
        switch (order) {
            case common_1.SortOrder.Asc:
                return 'fa-sort-asc';
            case common_1.SortOrder.Desc:
                return 'fa-sort-desc';
            case common_1.SortOrder.None:
            default:
                return 'fa-sort';
        }
    };
    return TableComponent;
}());
TableComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'ui-table',
                templateUrl: 'table.component.html',
                styleUrls: ['table.component.scss'],
            },] },
];
/** @nocollapse */
TableComponent.ctorParameters = function () { return []; };
TableComponent.propDecorators = {
    'fields': [{ type: core_1.Input },],
    'items': [{ type: core_1.Input },],
    'sortable': [{ type: core_1.Input },],
};
exports.TableComponent = TableComponent;
//# sourceMappingURL=table.component.js.map